/*
 * Copyright 2002-2007 Interface21.
 * This code is free to use, modify and extend.
 * Out of courtesy rather than legal obligation,
 * please acknowledge its source if reproducing
 * it!
 */

package com.interface21.spring2.aop;

import com.interface21.spring2.ioc.Person;

/**
 * POJO aspect. This class does not know anything
 * about AspectJ or Spring AOP or AOP at all.
 * Methods can be used as advice, with their
 * arguments bound in pointcuts if necessary. 
 * Arbitrary POJOs can be used as aspects in a Spring XML file
 * using the Spring 2.0 <aop> namespace.
 * 
 * @author Rod Johnson
 * @since 2.0
 */
public class BirthdayCardSender {
	
	public void onBirthday(Person person) {
		System.out.println("I will send a birthday card to " +
				person.getName() + "; he has just turned " + 
				person.getAge());
	}

}
