/*
 * Copyright 2002-2007 Interface21.
 * This code is free to use, modify and extend.
 * Out of courtesy rather than legal obligation,
 * please acknowledge its source if reproducing
 * it!
 */

package com.interface21.spring.aop;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;
import org.springframework.aop.aspectj.annotation.AspectJProxyFactory;

import com.interface21.spring2.aop.AnnotatedBirthdayCardSender;
import com.interface21.spring2.ioc.Person;

import junit.framework.TestCase;

/**
 * @author Rod Johnson
 * @since 2.0
 */
public class ProgrammaticAopTest extends TestCase {
	
	public void testProgrammaticProxyCreation() {
		Person tony = new Person();
		tony.setName("Tony");
		tony.setAge(53);
		
		AspectJProxyFactory ajpf = new AspectJProxyFactory(tony);
		ajpf.addAspect(new AnnotatedBirthdayCardSender());
		Person proxy = ajpf.getProxy();
		ajpf.addAdvice(new MethodInterceptor() {
			public Object invoke(MethodInvocation mi) throws Throwable {
				System.out.println("MethodInterceptor: Call to " + mi.getMethod());
				return mi.proceed();
			}
		});
		
		proxy.birthday();
	}

}
