/*
 * Copyright 2002-2007 Interface21.
 * This code is free to use, modify and extend.
 * Out of courtesy rather than legal obligation,
 * please acknowledge its source if reproducing
 * it!
 */

package com.interface21.spring.ioc;

import org.springframework.test.AbstractDependencyInjectionSpringContextTests;

import com.interface21.spring2.ioc.Person;

/**
 * @author Rod Johnson
 * @since 2.0
 */
public class AutowiredShortcutTest extends AbstractDependencyInjectionSpringContextTests {
	
	private Person person;
	
	/**
	 * @param person the person to set
	 */
	public void setPerson(Person person) {
		this.person = person;
	}
	
	@Override
	protected String[] getConfigLocations() {
		return new String[] { 
				"/com/interface21/spring2/ioc/shortcuts-autowire.xml" };
	}
	
	public void testWasInjected() {
		assertEquals("Tony", person.getName());
		assertEquals(53, person.getAge());
		assertNotNull(person.getHouse());
	}

}
