/*
 * Copyright 2002-2007 Interface21.
 * This code is free to use, modify and extend.
 * Out of courtesy rather than legal obligation,
 * please acknowledge its source if reproducing
 * it!
 */

package com.interface21.spring.ioc;

import java.util.List;

import org.springframework.test.AbstractDependencyInjectionSpringContextTests;

import com.interface21.spring2.ioc.DependsOnLists;

/**
 * @author Rod Johnson
 * @since 2.0
 */
public class GenericListTest extends AbstractDependencyInjectionSpringContextTests {
	
	private DependsOnLists dependsOnLists;
	
	public void setDependsOnLists(DependsOnLists dependsOnLists) {
		this.dependsOnLists = dependsOnLists;
	}

	@Override
	protected String[] getConfigLocations() {
		return new String[] { "/com/interface21/spring2/ioc/inference.xml" };
	}
	
	public void testLists() {
		List plainList = dependsOnLists.getPlainList();
		List<Float> floatList = dependsOnLists.getFloatList();
		for (Object o : plainList) {
			assertTrue(o instanceof String);
			System.out.println("Value='" + o + "', class=" + o.getClass().getName());
		}
		for (Float f : floatList) {
			System.out.println("Value='" + f + "', class=" + f.getClass().getName());
		}
	}

}
